Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZSimplifiedXMLInputParser Class Reference
Inheritance diagram for eZSimplifiedXMLInputParser:

## Public Member Functions
| __construct ( $contentObjectID, $validateErrorLevel=eZXMLInputParser::ERROR_ALL, $detectErrorLevel=eZXMLInputParser::ERROR_ALL, $parseLineBreaks=false, $removeDefaultAttrs=false)
| tagNameHeader ( $tagName, &$attributes)
| parsingHandlerLiteral ( $element, &$param)
| breakInlineFlow ( $element, $param)
| appendLineParagraph ( $element, $newParent)
| structHandlerBr ( $element, $newParent)
| appendParagraph ( $element, &$newParent)
| structHandlerHeader ( $element, &$param)
| structHandlerCustom ( $element, &$params)
| structHandlerLists ( $element, &$params)
| structHandlerText ( $element, &$newParent)
| publishHandlerParagraph ( $element, &$params)
| publishHandlerLink ( $element, &$params)
| convertHrefToID ( $href)
| publishHandlerEmbed ( $element, &$params)
| publishHandlerObject ( $element, &$params)
| publishHandlerCustom ( $element, &$params)
| convertCustomAttributes ( $element)
| getRelatedObjectIDArray ()
| getLinkedObjectIDArray ()
| getUrlIDArray ()
Public Member Functions inherited from eZXMLInputParser
| __construct ( $validateErrorLevel=self::ERROR_NONE, $detectErrorLevel=self::ERROR_NONE, $parseLineBreaks=false, $removeDefaultAttrs=false)
| setDOMDocumentClass ( $DOMDocumentClass)
| setParseLineBreaks ( $value)
| setRemoveDefaultAttrs ( $value)
| createRootNode ()
| process ( $text, $createRootNode=true)
| performPass1 (&$data)
| parseTag (&$data, &$pos, &$parent)
| parseAttributes ( $attributeString)
| setAttributes ( $element, $attributes)
| washText ( $textContent)
| entitiesDecode ( $text)
| convertNumericEntities ( $text)
| performPass2 ()
| processSubtree ( $element, &$lastHandlerResult)
| removeAllAttributes (DOMElement $element)
| processBySchemaPresence ( $element)
| processBySchemaTree ( $element)
| fixSubtree ( $element, $mainChild)
| processAttributesBySchema ( $element)
| callInputHandler ( $handlerName, $tagName, &$attributes)
| callOutputHandler ( $handlerName, $element, &$params)
| createAndPublishElement ( $elementName, &$ret)
| processNewElements ( $createdElements)
| getMessages ()
| isValid ()
| handleError ( $type, $message)

## Public Attributes
| $isInputValid
| $InputTags
| $OutputTags
| $urlIDArray = array()
| $relatedObjectIDArray = array()
| $linkedObjectIDArray = array()
| $contentObjectID = 0
Public Attributes inherited from eZXMLInputParser
const | SHOW_NO_ERRORS = 0
const | SHOW_SCHEMA_ERRORS = 1
const | SHOW_ALL_ERRORS = 2
const | ERROR_NONE = 0
| Use these constants for error types. More...
const | ERROR_SYNTAX = 4
const | ERROR_SCHEMA = 8
const | ERROR_DATA = 16
const | ERROR_ALL = 28
| $InputTags = array()
| $OutputTags = array()
| $Namespaces
| $DOMDocumentClass = 'DOMDocument'
| $XMLSchema
| $Document = null
| $Messages = array()
| $eZPublishVersion
| $ParentStack = array()
| $ValidateErrorLevel
| $DetectErrorLevel
| $IsInputValid = true
| $QuitProcess = false
| $TrimSpaces = true
| $AllowMultipleSpaces = false
| $AllowNumericEntities = false
| $StrictHeaders = false
| $ParseLineBreaks = false
| $RemoveDefaultAttrs = false

## Additional Inherited Members
Protected Member Functions inherited from eZXMLInputParser
| wordMatchSupport ( $newTagName, $attributes, $attributeString)

## Detailed Description

Definition at line 12 of file ezsimplifiedxmlinputparser.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSimplifiedXMLInputParser::__construct | ( |  | $contentObjectID,
|  |  | $validateErrorLevel = `eZXMLInputParser::ERROR_ALL`,
|  |  | $detectErrorLevel = `eZXMLInputParser::ERROR_ALL`,
|  |  | $parseLineBreaks = `false`,
|  |  | $removeDefaultAttrs = `false`
| ) |  |

Definition at line 114 of file ezsimplifiedxmlinputparser.php.

References $contentObjectID.

## Member Function Documentation

## ◆ appendLineParagraph()

eZSimplifiedXMLInputParser::appendLineParagraph | ( |  | $element,
|  |  | $newParent
| ) |  |

Definition at line 258 of file ezsimplifiedxmlinputparser.php.

References eZXMLInputParser\createAndPublishElement(), and eZDebugSetting\writeDebug().

Referenced by structHandlerCustom(), and structHandlerText().

## ◆ appendParagraph()

eZSimplifiedXMLInputParser::appendParagraph | ( |  | $element,
|  | & | $newParent
| ) |  |

Definition at line 395 of file ezsimplifiedxmlinputparser.php.

References eZXMLInputParser\createAndPublishElement().

Referenced by structHandlerCustom(), and structHandlerLists().

## ◆ breakInlineFlow()

eZSimplifiedXMLInputParser::breakInlineFlow | ( |  | $element,
|  |  | $param
| ) |  |

Definition at line 191 of file ezsimplifiedxmlinputparser.php.

## ◆ convertCustomAttributes()

eZSimplifiedXMLInputParser::convertCustomAttributes | ( |  | $element | ) |

Definition at line 1024 of file ezsimplifiedxmlinputparser.php.

Referenced by publishHandlerCustom(), publishHandlerEmbed(), and publishHandlerObject().

## ◆ convertHrefToID()

eZSimplifiedXMLInputParser::convertHrefToID | ( |  | $href | ) |

Definition at line 859 of file ezsimplifiedxmlinputparser.php.

References eZURL\registerURL().

Referenced by publishHandlerLink().

## ◆ getLinkedObjectIDArray()

eZSimplifiedXMLInputParser::getLinkedObjectIDArray | ( |  | ) |

Definition at line 1045 of file ezsimplifiedxmlinputparser.php.

References $linkedObjectIDArray.

## ◆ getRelatedObjectIDArray()

eZSimplifiedXMLInputParser::getRelatedObjectIDArray | ( |  | ) |

Definition at line 1040 of file ezsimplifiedxmlinputparser.php.

References $relatedObjectIDArray.

## ◆ getUrlIDArray()

eZSimplifiedXMLInputParser::getUrlIDArray | ( |  | ) |

Definition at line 1050 of file ezsimplifiedxmlinputparser.php.

References $urlIDArray.

## ◆ parsingHandlerLiteral()

eZSimplifiedXMLInputParser::parsingHandlerLiteral | ( |  | $element,
|  | & | $param
| ) |  |

Definition at line 163 of file ezsimplifiedxmlinputparser.php.

## ◆ publishHandlerCustom()

eZSimplifiedXMLInputParser::publishHandlerCustom | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 1014 of file ezsimplifiedxmlinputparser.php.

References convertCustomAttributes().

## ◆ publishHandlerEmbed()

eZSimplifiedXMLInputParser::publishHandlerEmbed | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 874 of file ezsimplifiedxmlinputparser.php.

References convertCustomAttributes(), eZXMLInputParser\ERROR_DATA, eZContentObjectTreeNode\fetch(), eZContentObjectTreeNode\fetchByURLPath(), eZXMLInputParser\handleError(), and ezpI18n\tr().

## ◆ publishHandlerLink()

eZSimplifiedXMLInputParser::publishHandlerLink | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 737 of file ezsimplifiedxmlinputparser.php.

References convertHrefToID(), eZXMLInputParser\ERROR_DATA, eZContentObjectTreeNode\fetch(), eZContentObjectTreeNode\fetchByURLPath(), eZXMLInputParser\handleError(), ezpI18n\tr(), and eZMail\validate().

## ◆ publishHandlerObject()

eZSimplifiedXMLInputParser::publishHandlerObject | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 970 of file ezsimplifiedxmlinputparser.php.

References convertCustomAttributes(), eZURL\registerURL(), and ezpI18n\tr().

## ◆ publishHandlerParagraph()

eZSimplifiedXMLInputParser::publishHandlerParagraph | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 712 of file ezsimplifiedxmlinputparser.php.

## ◆ structHandlerBr()

eZSimplifiedXMLInputParser::structHandlerBr | ( |  | $element,
|  |  | $newParent
| ) |  |

Definition at line 328 of file ezsimplifiedxmlinputparser.php.

References eZXMLInputParser\createAndPublishElement().

## ◆ structHandlerCustom()

eZSimplifiedXMLInputParser::structHandlerCustom | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 568 of file ezsimplifiedxmlinputparser.php.

References appendLineParagraph(), and appendParagraph().

## ◆ structHandlerHeader()

eZSimplifiedXMLInputParser::structHandlerHeader | ( |  | $element,
|  | & | $param
| ) |  |

Definition at line 433 of file ezsimplifiedxmlinputparser.php.

References eZXMLInputParser\ERROR_SCHEMA, eZXMLInputParser\handleError(), and ezpI18n\tr().

## ◆ structHandlerLists()

eZSimplifiedXMLInputParser::structHandlerLists | ( |  | $element,
|  | & | $params
| ) |  |

Definition at line 583 of file ezsimplifiedxmlinputparser.php.

References appendParagraph().

## ◆ structHandlerText()

eZSimplifiedXMLInputParser::structHandlerText | ( |  | $element,
|  | & | $newParent
| ) |  |

Definition at line 643 of file ezsimplifiedxmlinputparser.php.

References appendLineParagraph().

## ◆ tagNameHeader()

eZSimplifiedXMLInputParser::tagNameHeader | ( |  | $tagName,
|  | & | $attributes
| ) |  |

Definition at line 124 of file ezsimplifiedxmlinputparser.php.

## Member Data Documentation

## ◆ $contentObjectID

eZSimplifiedXMLInputParser::$contentObjectID = 0

Definition at line 1060 of file ezsimplifiedxmlinputparser.php.

Referenced by __construct().

## ◆ $InputTags

eZSimplifiedXMLInputParser::$InputTags

Initial value:
= array(
'b' => array( 'name' => 'strong' ),
'bold' => array( 'name' => 'strong' ),
'i' => array( 'name' => 'emphasize' ),
'em' => array( 'name' => 'emphasize' ),
'h' => array( 'name' => 'header' ),
'p' => array( 'name' => 'paragraph' ),
'para' => array( 'name' => 'paragraph' ),
'br' => array( 'name' => 'br',
'noChildren' => true ),
'a' => array( 'name' => 'link' ),
'h1' => array( 'nameHandler' => 'tagNameHeader' ),
'h2' => array( 'nameHandler' => 'tagNameHeader' ),
'h3' => array( 'nameHandler' => 'tagNameHeader' ),
'h4' => array( 'nameHandler' => 'tagNameHeader' ),
'h5' => array( 'nameHandler' => 'tagNameHeader' ),
'h6' => array( 'nameHandler' => 'tagNameHeader' ),
)

Definition at line 18 of file ezsimplifiedxmlinputparser.php.

## ◆ $isInputValid

eZSimplifiedXMLInputParser::$isInputValid

Definition at line 17 of file ezsimplifiedxmlinputparser.php.

## ◆ $linkedObjectIDArray

eZSimplifiedXMLInputParser::$linkedObjectIDArray = array()

Definition at line 1057 of file ezsimplifiedxmlinputparser.php.

Referenced by getLinkedObjectIDArray().

## ◆ $OutputTags

eZSimplifiedXMLInputParser::$OutputTags

Definition at line 37 of file ezsimplifiedxmlinputparser.php.

## ◆ $relatedObjectIDArray

eZSimplifiedXMLInputParser::$relatedObjectIDArray = array()

Definition at line 1056 of file ezsimplifiedxmlinputparser.php.

Referenced by getRelatedObjectIDArray().

## ◆ $urlIDArray

eZSimplifiedXMLInputParser::$urlIDArray = array()

Definition at line 1055 of file ezsimplifiedxmlinputparser.php.

Referenced by getUrlIDArray().

The documentation for this class was generated from the following file:

- ezsimplifiedxmlinputparser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.